ISOdatetime {base} | R Documentation

## Date-time Conversion Functions from Numeric Representations

### Description

Convenience wrappers to create date-times from numeric representations.

### Usage

    ISOdatetime(year, month, day, hour, min, sec, tz = "")
    ISOdate(year, month, day, hour = 12, min = 0, sec = 0, tz = "GMT")

### Arguments

`year, month, day` | numerical values to specify a day.
`hour, min, sec` | numerical values for a time within a day. Fractional seconds are allowed.
`tz` | A time zone specification to be used for the conversion. `""` is the current time zone and `"GMT"` is UTC. Invalid values are most commonly treated as UTC, on some platforms with a warning.

### Details

`ISOdatetime` and `ISOdate` are convenience wrappers for `strptime` that differ only in their defaults and that `ISOdate` sets UTC as the time zone. For dates without times it would normally be better to use the `"Date"` class.

The main arguments will be recycled using the usual recycling rules.

Because these make use of `strptime`, only years in the range `0:9999` are accepted.

### Value

An object of class `"POSIXct"`.

### See Also

DateTimeClasses for details of the date-time classes; `strptime` for conversions from character strings.

[Package base version 3.4.2 Index]